sigmlgen

## Class GSiGMLSign

- java.lang.Object
- - sigmlgen.GSiGMLSign

-     public class GSiGMLSign
      extends java.lang.Object

  Gestural-SiGML sign data: each instance of this class records the data for a single sign within a SiGML sequence: this includes SiGML text for the associated `<hamgestural_sign>` wrapped in a `<sigml>` element, the sign's gloss name, and any associated player settings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GSiGMLSign(GSiGMLSign sign)` Constructs a new sign, which is a clone of the given one.
    `GSiGMLSign(java.lang.String gsigml, java.lang.String glss, AvatarSettings avr, TimeSettings tim, CameraSettings cam, AmbientMotionFlags amf)` Constructs a new sign with the given components.
    `GSiGMLSign(java.lang.String gsigml, java.lang.String glss, PlayerSettings psttngs)` Constructs a new sign with the given components.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmbientMotionFlags` | `getAmbientMotionFlags()` Returns the ambient motion flag settings for this sign.
    `AvatarSettings` | `getAvatarSettings()` Returns the avatar settings for this sign.
    `CameraSettings` | `getCameraSettings()` Returns the camera settings for this sign.
    `java.lang.String` | `getGloss()` Returns the gloss name for this sign.
    `java.lang.String` | `getSiGMLForSign()` Returns the text for this sign, a `<hamgestural_sign>` wrapped in a `<sigml>` element.
    `TimeSettings` | `getTimeSettings()` Returns the time settings for this sign.
    `boolean` | `hasPlayerSettings()` Returns a boolean indicating whether any player settings are defined for this sign.
    `void` | `setAvatarSettings(AvatarSettings as)`
    `void` | `setCameraSettings(CameraSettings cs)`
    `void` | `setPlayerSettings(PlayerSettings ps)` Sets this signs camera and ambient motions settings to match those in the given player settings, which may be `null`, in which case the existing settings are unchanged.
    `void` | `setTimeSettings(TimeSettings ts)`
    `void` | `supplementPlayerSettings(PlayerSettings ps)` Uses the given settings to supplement, but not to override this sign's existing settings, i.e.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GSiGMLSign

          public GSiGMLSign(java.lang.String gsigml,
                            java.lang.String glss,
                            PlayerSettings psttngs)

      Constructs a new sign with the given components.

    - #### GSiGMLSign

          public GSiGMLSign(java.lang.String gsigml,
                            java.lang.String glss,
                            AvatarSettings avr,
                            TimeSettings tim,
                            CameraSettings cam,
                            AmbientMotionFlags amf)

      Constructs a new sign with the given components.

    - #### GSiGMLSign

          public GSiGMLSign(GSiGMLSign sign)

      Constructs a new sign, which is a clone of the given one.

  - ### Method Detail

    - #### setPlayerSettings

          public void setPlayerSettings(PlayerSettings ps)

      Sets this signs camera and ambient motions settings to match those in the given player settings, which may be `null`, in which case the existing settings are unchanged.

    - #### setAvatarSettings

          public void setAvatarSettings(AvatarSettings as)

    - #### setTimeSettings

          public void setTimeSettings(TimeSettings ts)

    - #### setCameraSettings

          public void setCameraSettings(CameraSettings cs)

    - #### supplementPlayerSettings

          public void supplementPlayerSettings(PlayerSettings ps)

      Uses the given settings to supplement, but not to override this sign's existing settings, i.e. no existing setting is changed by the given settings.

    - #### getSiGMLForSign

          public java.lang.String getSiGMLForSign()

      Returns the text for this sign, a `<hamgestural_sign>` wrapped in a `<sigml>` element.

    - #### getGloss

          public java.lang.String getGloss()

      Returns the gloss name for this sign.

    - #### getCameraSettings

          public CameraSettings getCameraSettings()

      Returns the camera settings for this sign.

    - #### getAvatarSettings

          public AvatarSettings getAvatarSettings()

      Returns the avatar settings for this sign.

    - #### getTimeSettings

          public TimeSettings getTimeSettings()

      Returns the time settings for this sign.

    - #### getAmbientMotionFlags

          public AmbientMotionFlags getAmbientMotionFlags()

      Returns the ambient motion flag settings for this sign.

    - #### hasPlayerSettings

          public boolean hasPlayerSettings()

      Returns a boolean indicating whether any player settings are defined for this sign.